Subject: bug#35058: [PATCH] Use display-graphic-p in more cases

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Apr 2019 10:18:40 +0300

> Date: Mon, 1 Apr 2019 07:32:23 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> This is a great description, Eli.
> 
> I hope it or similar is recorded somewhere in
> code or code-related artifacts, not just in
> mail threads.

Thanks, I added commentary to frame.el, where these functions are
defined.

> BTW, where would the intended meaning of such
> functions be recorded now?  Currently their
> doc is just the doc of `display-graphic-p',
> as they are aliased.  (Could/should they have
> their own doc strings now, even if the behavior
> is currently just `display-graphic-p'?)

I don't think we have features to have separate doc strings for them,
I hope the commentary I wrote is enough.